import java.applet.*;
import java.awt.*;

class Vector3D
{
	public double x;
	public double y;
	public double z;

	public double xt;
	public double yt;
	public double zt;
	
	public Vector3D()
	{
	}

	static public void Add(Vector3D v1, Vector3D v2)
	{
		v1.x += v2.x;
		v1.y += v2.y;
		v1.z += v2.z;
	}
	
	static public void Negate(Vector3D v)
	{
		v.x = -v.x;
		v.y = -v.y;
		v.z = -v.z;
	}
	
	static public double DotProduct(Vector3D v1, Vector3D v2)
	{
		return ((v1.x * v2.x) + (v1.y * v2.y) + (v1.z * v2.z));
	}

	static public Vector3D CrossProduct(Vector3D v1, Vector3D v2)
	{
		Vector3D v = new Vector3D();
		v.x = (v1.y * v2.z) - (v1.z * v2.y);
		v.y = (v1.z * v2.x) - (v1.x * v2.z);
		v.z = (v1.x * v2.y) - (v1.y * v2.x);
		return v;
	}
	
	static public double Length(Vector3D v)
	{
		return Math.sqrt((v.x * v.x) + (v.y * v.y) + (v.z * v.z));
	}
}
