import java.util.*;

class Waves3D
{
	static final int Wave_Counter   = 0;
	static final int Wave_XWinkel   = 1;
	static final int Wave_YWinkel   = 2;
	static final int Wave_XAdd		= 3;
	static final int Wave_YAdd		= 4;
	static final int Wave_ShootFlag = 5;
	static final int Wave_EnemyFlag = 6;

	static final int noshoot = 0;
	static final int shoot   = 1;

	static final int NULL			= 0;
	static final int Enemy1			= 1;

	
	Vector AttackWaves = new Vector();

	
	public Waves3D()
	{
		AttackWaves.addElement(AttackWave01);
		AttackWaves.addElement(AttackWave02);
		AttackWaves.addElement(AttackWave03);
		AttackWaves.addElement(AttackWave04);
		AttackWaves.addElement(AttackWave05);
		AttackWaves.addElement(AttackWave06);
		AttackWaves.addElement(AttackWave07);
		AttackWaves.addElement(AttackWave08);
		AttackWaves.addElement(AttackWave09);
		AttackWaves.addElement(AttackWave10);
	}


	int AttackWave01[]={200, 	0,	0,	0,	0,	noshoot,	Enemy1,
						250, 	90,	90, 0,	0,	noshoot,	Enemy1,
						300,	270,270,0,	0,	noshoot,	Enemy1,
 						
						400,	0,	0,	0,	0,	noshoot,	Enemy1,
 						450,	90,	90, 0,	0,	noshoot,	Enemy1,
 						500,	270,270,0,	0,	noshoot,	Enemy1,
 						
						800,	0,	0,	0,	0,	noshoot,	Enemy1,
 						850,	90,	90, 0,	0,	noshoot,	Enemy1,
 						900,	270,270,0,	0,	noshoot,	Enemy1,
						
						1000,	0,	0,	0,	0,	noshoot,	Enemy1,
 						1050,	90,	90, 0,	0,	noshoot,	Enemy1,
 						1100,	270,270,0,	0,	noshoot,	Enemy1,
						
						1600,0,0,0,0,0,NULL};

	int AttackWave02[]={200, 	0,	0,	2,	2,	noshoot,	Enemy1,
						250, 	0,	0,	2,	2,	noshoot,	Enemy1,
						300,	0,	0,	2,	2,	noshoot,	Enemy1,
						350,	0,	0,	2,	2,	noshoot,	Enemy1,
 						400,	0,	0,	2,	2,	noshoot,	Enemy1,
 						450,	0,	0,	2,	2,	noshoot,	Enemy1,
 						500,	0,	0,	2,	2,	noshoot,	Enemy1,
 						550,	0,	0,	2,	2,	noshoot,	Enemy1,
 						600,	0,	0,	2,	2,	noshoot,	Enemy1,
 						650,	0,	0,	2,	2,	noshoot,	Enemy1,
 						700,	0,	0,	2,	2,	noshoot,	Enemy1,
 						750,	0,	0,	2,	2,	noshoot,	Enemy1,
						
						1200,0,0,0,0,0,NULL};

	int AttackWave03[]={200, 	0,	0,	1,	1,	noshoot,	Enemy1,
						210, 	90,	90, 1,	1,	noshoot,	Enemy1,
						220,	180,180,1,	1,	noshoot,	Enemy1,
						230,	270,270,1,	1,	noshoot,	Enemy1,
 						
						400,	0,	0,	1,	1,	noshoot,	Enemy1,
 						410,	90,	90, 1,	1,	noshoot,	Enemy1,
 						420,	180,180,1,	1,	noshoot,	Enemy1,
 						430,	270,270,1,	1,	noshoot,	Enemy1,
 						
						600,	0,	0,	1,	1,	noshoot,	Enemy1,
 						610,	90,	90, 1,	1,	noshoot,	Enemy1,
 						620,	180,180,1,	1,	noshoot,	Enemy1,
 						630,	270,270,1,	1,	noshoot,	Enemy1,
						
						800,	0,	0,	1,	1,	noshoot,	Enemy1,
 						810,	90,	90, 1,	1,	noshoot,	Enemy1,
 						820,	180,180,1,	1,	noshoot,	Enemy1,
 						830,	270,270,1,	1,	noshoot,	Enemy1,
						
						1300,0,0,0,0,0,NULL};

	int AttackWave04[]={200, 	0,	0,	-2,	2,	noshoot,	Enemy1,
						210, 	90,	90, -2,	2,	noshoot,	Enemy1,
						220,	180,180,-2,	2,	noshoot,	Enemy1,
						230,	270,270,-2,	2,	noshoot,	Enemy1,
 						
						400,	0,	0,	-2,	2,	noshoot,	Enemy1,
 						410,	90,	90, -2,	2,	noshoot,	Enemy1,
 						420,	180,180,-2,	2,	noshoot,	Enemy1,
 						430,	270,270,-2,	2,	noshoot,	Enemy1,
 						
						600,	0,	0,	-2,	2,	noshoot,	Enemy1,
 						610,	90,	90, -2,	2,	noshoot,	Enemy1,
 						620,	180,180,-2,	2,	noshoot,	Enemy1,
 						630,	270,270,-2,	2,	noshoot,	Enemy1,
						
						800,	0,	0,	-2,	2,	noshoot,	Enemy1,
 						810,	90,	90, -2,	2,	noshoot,	Enemy1,
 						820,	180,180,-2,	2,	noshoot,	Enemy1,
 						830,	270,270,-2,	2,	noshoot,	Enemy1,
						
						1300,0,0,0,0,0,NULL};
	
	int AttackWave05[]={200, 	0,	0,	0,	0,	noshoot,	Enemy1,
						250, 	0,	0,	0,	0,	noshoot,	Enemy1,
						300,	0,	0,	0,	0,	noshoot,	Enemy1,
						
						350,	45,	45,	2,	2,	noshoot,	Enemy1,
 						400,	45,	45,	2,	2,	noshoot,	Enemy1,
 						450,	45,	45, 2,	2,	noshoot,	Enemy1,
 						
						500,	90,	90,	0,	0,	noshoot,	Enemy1,
 						550,	90,	90,	0,	0,	noshoot,	Enemy1,
 						600,	90,	90,	0,	0,	noshoot,	Enemy1,
 						
						650,	120,120,2,	2,	noshoot,	Enemy1,
 						700,	120,120,2,	2,	noshoot,	Enemy1,
 						750,	120,120,2,	2,	noshoot,	Enemy1,
						
						1200,0,0,0,0,0,NULL};
	
	int AttackWave06[]={200, 	0,	0,	2,	1,	noshoot,	Enemy1,
						250, 	0,	0,	2,	1,	noshoot,	Enemy1,
						300,	0,	0,	2,	1,	noshoot,	Enemy1,
						350,	0,	0,	2,	1,	noshoot,	Enemy1,
 						400,	0,	0,	2,	1,	noshoot,	Enemy1,
 						450,	0,	0,	2,	1,	noshoot,	Enemy1,
 						500,	0,	0,	2,	1,	noshoot,	Enemy1,
 						550,	0,	0,	2,	1,	noshoot,	Enemy1,
 						600,	0,	0,	2,	1,	noshoot,	Enemy1,
 						650,	0,	0,	2,	1,	noshoot,	Enemy1,
 						700,	0,	0,	2,	1,	noshoot,	Enemy1,
 						750,	0,	0,	2,	1,	noshoot,	Enemy1,
						
						1200,0,0,0,0,0,NULL};
	
	int AttackWave07[]={200, 	0,	0,	1,	2,	noshoot,	Enemy1,
						250, 	0,	0,	2,	1,	noshoot,	Enemy1,
						300,	0,	0,	1,	2,	noshoot,	Enemy1,
						350,	0,	0,	2,	1,	noshoot,	Enemy1,
 						400,	0,	0,	1,	2,	noshoot,	Enemy1,
 						450,	0,	0,	2,	1,	noshoot,	Enemy1,
 						500,	0,	0,	1,	2,	noshoot,	Enemy1,
 						550,	0,	0,	2,	1,	noshoot,	Enemy1,
 						600,	0,	0,	1,	2,	noshoot,	Enemy1,
 						650,	0,	0,	2,	1,	noshoot,	Enemy1,
 						700,	0,	0,	1,	2,	noshoot,	Enemy1,
 						750,	0,	0,	2,	1,	noshoot,	Enemy1,
						
						1200,0,0,0,0,0,NULL};
	
	int AttackWave08[]={200, 	0,	0,	2,	1,	noshoot,	Enemy1,
						210, 	90,	90, 2,	1,	noshoot,	Enemy1,
						220,	180,180,2,	1,	noshoot,	Enemy1,
						230,	270,270,2,	1,	noshoot,	Enemy1,
 						
						400,	0,	0,	1,	2,	noshoot,	Enemy1,
 						410,	90,	90, 1,	2,	noshoot,	Enemy1,
 						420,	180,180,1,	2,	noshoot,	Enemy1,
 						430,	270,270,1,	2,	noshoot,	Enemy1,
 						
						600,	0,	0,	2,	1,	noshoot,	Enemy1,
 						610,	90,	90, 2,	1,	noshoot,	Enemy1,
 						620,	180,180,2,	1,	noshoot,	Enemy1,
 						630,	270,270,2,	1,	noshoot,	Enemy1,
						
						800,	0,	0,	1,	2,	noshoot,	Enemy1,
 						810,	90,	90, 1,	2,	noshoot,	Enemy1,
 						820,	180,180,1,	2,	noshoot,	Enemy1,
 						830,	270,270,1,	2,	noshoot,	Enemy1,
						
						1300,0,0,0,0,0,NULL};
	
	int AttackWave09[]={200, 	0,	0,	0,	0,	noshoot,	Enemy1,
						220, 	20,	20, 0,	0,	noshoot,	Enemy1,
						240,	40, 40, 0,  0,	noshoot,	Enemy1,
						260,	60, 60, 0,	0,	noshoot,	Enemy1,
						280,	80,	80,	0,	0,	noshoot,	Enemy1,
 						300,	100,100,0,	0,	noshoot,	Enemy1,
 						320,	120,120,0,	0,	noshoot,	Enemy1,
 						340,	140,140,0,	0,	noshoot,	Enemy1,
						360,	160,160,0,  0,	noshoot,	Enemy1,
 						380,	180,180,0,	0,	noshoot,	Enemy1,
 						400,	200,200,0,	0,	noshoot,	Enemy1,
 						420,	220,220,0,	0,	noshoot,	Enemy1,
						440,	240,240,0,  0,	noshoot,	Enemy1,
 						460,	260,260,0,	0,	noshoot,	Enemy1,
 						480,	280,280,0,	0,	noshoot,	Enemy1,
 						500,	300,300,0,	0,	noshoot,	Enemy1,
 						520,	320,320,0,	0,	noshoot,	Enemy1,
 						540,	340,340,0,	0,	noshoot,	Enemy1,
						
						1000,0,0,0,0,0,NULL};
	
	int AttackWave10[]={200, 	0,	0,	2,	2,	noshoot,	Enemy1,
						220, 	20,	20, 2,	2,	noshoot,	Enemy1,
						240,	40, 40, 2,  2,	noshoot,	Enemy1,
						260,	60, 60, 2,	2,	noshoot,	Enemy1,
						280,	80,	80,	2,	2,	noshoot,	Enemy1,
 						300,	100,100,2,	2,	noshoot,	Enemy1,
 						320,	120,120,2,	2,	noshoot,	Enemy1,
 						340,	140,140,2,	2,	noshoot,	Enemy1,
						360,	160,160,2,  2,	noshoot,	Enemy1,
 						380,	180,180,2,	2,	noshoot,	Enemy1,
 						400,	200,200,2,	2,	noshoot,	Enemy1,
 						420,	220,220,2,	2,	noshoot,	Enemy1,
						440,	240,240,2,  2,	noshoot,	Enemy1,
 						460,	260,260,2,	2,	noshoot,	Enemy1,
 						480,	280,280,2,	2,	noshoot,	Enemy1,
 						500,	300,300,2,	2,	noshoot,	Enemy1,
 						520,	320,320,2,	2,	noshoot,	Enemy1,
 						540,	340,340,2,	2,	noshoot,	Enemy1,
						
						1000,0,0,0,0,0,NULL};
}